#!/usr/bin/env bash

git pull origin master;

function doIt() {
	rsync \
		--exclude ".git/" \
		--exclude ".DS_Store" \
		--exclude "bootstrap.sh" \
		--exclude "make_wp.sql" \
		--exclude "fix_ssh.sh" \
		--exclude "install_gitea.sh" \
		--exclude "install_packages.sh" \
		--exclude "make_wpsql.sql" \
		--exclude "pre_bootstrap.sh" \
		--exclude "python_install.sh" \
		--exclude "python_setup.sh" \
		--exclude "screen_run_gitea.sh" \
		--exclude "set_machine_name.sh" \
		--exclude "README.md" \
		--exclude "LICENSE" \
		-avh --no-perms . ~;
	source ~/.bash_profile;
}

if [ "$1" == "--force" -o "$1" == "-f" ]; then
	doIt;
else
	read -p "This may overwrite existing files in your home directory. Are you sure? (y/n) " -n 1;
	echo "";
	if [[ $REPLY =~ ^[Yy]$ ]]; then
		doIt;
	fi;
fi;
unset doIt;
